Get JSON Web Key Set
GET
/_torii/.well-known/jwks.json
const url = 'https://your-app.toriiauth.eu/_torii/.well-known/jwks.json';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://your-app.toriiauth.eu/_torii/.well-known/jwks.jsonReturns the public signing keys for the environment identified by the Host header. Customers use this to verify JWTs locally without a round trip to the server.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Host
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
keys
required
Array<object>
object
kty
required
string
crv
required
string
alg
required
string
use
required
string
kid
required
string
x
required
string
y
required
string
Examplegenerated
{ "keys": [ { "kty": "example", "crv": "example", "alg": "example", "use": "example", "kid": "example", "x": "example", "y": "example" } ]}